summaryrefslogtreecommitdiff
path: root/run.sh
diff options
context:
space:
mode:
authorSanto Cariotti <santo@dcariotti.me>2024-09-15 16:11:14 +0200
committerSanto Cariotti <santo@dcariotti.me>2024-09-15 16:11:14 +0200
commit6921533ab3cb09b629b77ef5a531d59cbba5c4d9 (patch)
tree5bc74dfaa913c8db9d909af336e139f1630d4ce3 /run.sh
init repo
Diffstat (limited to 'run.sh')
-rwxr-xr-xrun.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/run.sh b/run.sh
new file mode 100755
index 0000000..87fc19b
--- /dev/null
+++ b/run.sh
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+usage() {
+ echo "Usage: $0 (apply|delete)"
+}
+
+if [ $# -ne 1 ]; then
+ usage
+ exit 1
+fi
+
+command=$1
+
+if [ "$1" != "apply" ] && [ "$1" != "delete" ]; then
+ usage
+ exit 1
+fi
+
+K8S_FOLDER="./yaml"
+
+YAML_FILES=(
+ "cas-config.yaml"
+ "cas-deployment.yaml"
+ "cas-secret.yaml"
+ "cas-service.yaml"
+ "network-policy.yaml"
+ "pgdata-pvc.yaml"
+ "postgres-deployment.yaml"
+ "postgres-service.yaml"
+)
+
+for file in "${YAML_FILES[@]}"; do
+ file="$K8S_FOLDER/$file"
+ echo "${command^}ing $file ..."
+ envsubst < $file | kubectl "$command" -f -
+done